Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.IdentityProperties Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | IdentityProperties ()
| Constructor.
def | IdentityProperties (corporation, email, login_name, name, first_name, last_name, title, department)
| Constructor, with parameters. More...
def | IdentityProperties (id_properities)
| Constructor, with another identity properties object. More...
def | Set (corporation, email, login_name, name, first_name, last_name, title, department)
| Set values. More...

## Static Public Attributes
| corporation = _fsdk.IdentityProperties_corporation
| The corporation name.
| department = _fsdk.IdentityProperties_department
| The department name.
| email = _fsdk.IdentityProperties_email
| The email address.
| first_name = _fsdk.IdentityProperties_first_name
| The user first name.
| last_name = _fsdk.IdentityProperties_last_name
| The user last name.
| login_name = _fsdk.IdentityProperties_login_name
| The login name. Usually, this is the name used to log in current operating system.
| name = _fsdk.IdentityProperties_name
| The user name.
| title = _fsdk.IdentityProperties_title
| The user title.

## Detailed Description

This class represents identity properties of current user, and is used for callback function FoxitPDFSDKPython2.ActionCallback.GetIdentityProperties .

## Constructor & Destructor Documentation

## ◆ IdentityProperties() [1/2]

def FoxitPDFSDKPython2.IdentityProperties.IdentityProperties | ( |  | corporation,
|  |  | email,
|  |  | login_name,
|  |  | name,
|  |  | first_name,
|  |  | last_name,
|  |  | title,
|  |  | department
| ) |  |

Constructor, with parameters.

Parameters

  [in] | corporation | The corporation name.
  [in] | email | The email address.
  [in] | login_name | The login name. Usually, this is the name used to log in current operating system.
  [in] | name | The user name.
  [in] | first_name | The user first name.
  [in] | last_name | The user last name.
  [in] | title | The user title.
  [in] | department | The department name.

## ◆ IdentityProperties() [2/2]

def FoxitPDFSDKPython2.IdentityProperties.IdentityProperties | ( |  | id_properities | ) |

Constructor, with another identity properties object.

Parameters

  [in] | id_properities | Another identity properties object.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython2.IdentityProperties.Set | ( |  | corporation,
|  |  | email,
|  |  | login_name,
|  |  | name,
|  |  | first_name,
|  |  | last_name,
|  |  | title,
|  |  | department
| ) |  |

Set values.

Parameters

  [in] | corporation | The corporation name.
  [in] | email | The email address.
  [in] | login_name | The login name. Usually, this is the name used to log in current operating system.
  [in] | name | The user name.
  [in] | first_name | The user first name.
  [in] | last_name | The uesr last name.
  [in] | title | The user title.
  [in] | department | The department name.

Returns
  None.